---
title: text-decoration
slug: Web/CSS/text-decoration
tags:
  - CSS
  - CSS Property
  - CSS Text Decoration
  - Reference
  - 'recipe:css-shorthand-property'
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>text-decoration</code></strong> <a href="/en-US/docs/Web/CSS/Shorthand_properties">shorthand</a> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the appearance of decorative lines on text.</span> It is a shorthand for {{cssxref("text-decoration-line")}}, {{cssxref("text-decoration-color")}}, {{cssxref("text-decoration-style")}}, and the newer {{cssxref("text-decoration-thickness")}} property.</p>

<div>{{EmbedInteractiveExample("pages/css/text-decoration.html")}}</div>

<p>Text decorations are drawn across descendant text elements. This means that if an element specifies a text decoration, then a child element can't remove the decoration. For example, in the markup <code>&lt;p&gt;This text has &lt;em&gt;some emphasized words&lt;/em&gt; in it.&lt;/p&gt;</code>, the style rule <code>p { text-decoration: underline; }</code> would cause the entire paragraph to be underlined. The style rule <code>em { text-decoration: none; }</code> would not cause any change; the entire paragraph would still be underlined. However, the rule <code>em { text-decoration: overline; }</code> would cause a second decoration to appear on "some emphasized words".</p>

<h2 id="Constituent_properties">Constituent properties</h2>

<p>This property is a shorthand for the following CSS properties:</p>

<ul>
	<li><a href="/en-US/docs/Web/CSS/text-decoration-color"><code>text-decoration-color</code></a></li>
	<li><a href="/en-US/docs/Web/CSS/text-decoration-line"><code>text-decoration-line</code></a></li>
	<li><a href="/en-US/docs/Web/CSS/text-decoration-style"><code>text-decoration-style</code></a></li>
	<li><a href="/en-US/docs/Web/CSS/text-decoration-thickness"><code>text-decoration-thickness</code></a></li>
</ul>

<h2 id="Syntax">Syntax</h2>

<p id="Values">The <code>text-decoration</code> property is specified as one or more space-separated values representing the various longhand text-decoration properties.</p>

<h3 id="Values_2">Values</h3>

<dl>
	<dt>{{cssxref("text-decoration-line")}}</dt>
	<dd>Sets the kind of decoration used, such as <code>underline</code> or <code>line-through</code>.</dd>
	<dt>{{cssxref("text-decoration-color")}}</dt>
	<dd>Sets the color of the decoration.</dd>
	<dt>{{cssxref("text-decoration-style")}}</dt>
	<dd>Sets the style of the line used for the decoration, such as <code>solid</code>, <code>wavy</code>, or <code>dashed</code>.</dd>
	<dt>{{cssxref("text-decoration-thickness")}}</dt>
	<dd>Sets the thickness of the line used for the decoration.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Demonstration_of_text-decoration_values">Demonstration of text-decoration values</h3>

<pre class="brush: css notranslate">.under {
  text-decoration: underline red;
}

.over {
  text-decoration: wavy overline lime;
}

.line {
  text-decoration: line-through;
}

.plain {
  text-decoration: none;
}

.underover {
  text-decoration: dashed underline overline;
}

.thick {
  text-decoration: solid underline purple 4px;
}

.blink {
  text-decoration: blink;
}
</pre>

<pre class="brush: html notranslate">&lt;p class="under"&gt;This text has a line underneath it.&lt;/p&gt;
&lt;p class="over"&gt;This text has a line over it.&lt;/p&gt;
&lt;p class="line"&gt;This text has a line going through it.&lt;/p&gt;
&lt;p&gt;This &lt;a class="plain" href="#"&gt;link will not be underlined&lt;/a&gt;,
    as links generally are by default. Be careful when removing
    the text decoration on anchors since users often depend on
    the underline to denote hyperlinks.&lt;/p&gt;
&lt;p class="underover"&gt;This text has lines above &lt;em&gt;and&lt;/em&gt; below it.&lt;/p&gt;
&lt;p class="thick"&gt;This text has a really thick purple underline in supporting browsers.&lt;/p&gt;
&lt;p class="blink"&gt;This text might blink for you,
    depending on the browser you use.&lt;/p&gt;
</pre>

<p>{{EmbedLiveSample('Examples','auto','320')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('CSS4 Text Decoration')}}</td>
			<td>{{Spec2('CSS4 Text Decoration')}}</td>
			<td>Adds {{cssxref("text-decoration-thickness")}}; note that this isn't yet officially part of the shorthand — this is as yet unspecified.</td>
		</tr>
		<tr>
			<td>{{SpecName('CSS3 Text Decoration', '#text-decoration-property', 'text-decoration')}}</td>
			<td>{{Spec2('CSS3 Text Decoration')}}</td>
			<td>Transformed into a shorthand property. Added support for the value of {{cssxref('text-decoration-style')}}.</td>
		</tr>
		<tr>
			<td>{{SpecName('CSS2.1', 'text.html#lining-striking-props', 'text-decoration')}}</td>
			<td>{{Spec2('CSS2.1')}}</td>
			<td>No significant changes.</td>
		</tr>
		<tr>
			<td>{{SpecName('CSS1', '#text-decoration', 'text-decoration')}}</td>
			<td>{{Spec2('CSS1')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.text-decoration")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>The individual text-decoration properties are {{cssxref("text-decoration-line")}}, {{cssxref("text-decoration-color")}}, and {{cssxref("text-decoration-style")}}.</li>
	<li>The {{cssxref("list-style")}} attribute controls the appearance of items in HTML {{HTMLElement("ol")}} and {{HTMLElement("ul")}} lists.</li>
</ul>
